%global debug_package %{nil}
%bcond_without check

%global goipath github.com/edwvee/exiffix
%global commit 0dbb146775becadbeda690a365e56c5898c46516
%global shortcommit %{lua: print(string.sub(rpm.expand("%{commit}"), 1, 7))}

Name:           golang-github-edwvee-exiffix
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        EXIF orientation correct replacement for golang's image.Decode

License:        MIT
URL:            https://github.com/edwvee/exiffix
Source0:        https://github.com/edwvee/exiffix/archive/%{commit}/exiffix-%{commit}.tar.gz

BuildRequires:  golang

%global golicenses LICENSE
%global godocs README.md
%global common_description %{expand:
exiffix is a Go library that parses and corrects malformed EXIF headers in image files.
This package provides a drop-in replacement for image.Decode to handle EXIF orientation properly.
}

%description
%{common_description}

%gopkg

%prep
%setup -q -n exiffix-%{commit}
%autopatch -p1


%install
install -d -m 0755 %{buildroot}/usr/share/gocode/src/github.com/edwvee
cp -r . %{buildroot}/usr/share/gocode/src/github.com/edwvee/exiffix


%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
/usr/share/gocode/src/github.com/edwvee/exiffix

%changelog
* Wed May 28 2025 Doris Chao <doriscchao@tencent.com> - 0-0.1.git%{shortcommit}
- Initial build
